<?php

namespace App\Controller;

use App\Entity\Address;
use App\Entity\Cities;
use App\Entity\Users;
use App\Form\AddressFormType;
use App\Form\FormType;
use App\Repository\AddressRepository;
use App\Repository\CitiesRepository;
use App\Repository\UsersRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\Persistence\ManagerRegistry;
use Symfony\Component\Asset\UrlPackage;
use Symfony\Component\Form\FormBuilder;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;


class HomepageController extends BaseController
{

    /**
     * @return Response
     * @Route("/", name="homepage_default")
     */
    public function default(): Response
    {

        // preda data do sablony
        return $this->render("Homepage/default.html.twig");
    }
    /**
     * @return Response
     * @Route("/formular", name="formular")
     */
    public function forms(Request $request, EntityManagerInterface $em): Response
    {
        $form = $this->createForm(FormType::class, null,
            [
                'action' => $this->generateUrl('formular'),
                'method' => 'POST'
            ])->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $data = $form->getData();

            $em->persist($data);
            $em->flush();

            return $this->render("Homepage/form.html.twig", ['form' => $form]);
        }

        // preda data do sablony


        return $this->render("Homepage/form.html.twig", array("form"=>$form->createView()));

    }



}