<?php

namespace App\Entity;

use App\Repository\OtherRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: OtherRepository::class)]
class Other
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $radio = null;

    #[ORM\Column(length: 255)]
    private ?string $checkbox = null;

    #[ORM\Column(length: 255)]
    private ?string $textarea = null;

    #[ORM\Column(length: 255)]
    private ?string $selectbox = null;

    #[ORM\Column(length: 255)]
    private ?string $text = null;

    #[ORM\Column(length: 255)]
    private ?string $number = null;

    #[ORM\OneToMany(mappedBy: 'other', targetEntity: Form::class)]
    private Collection $connector1;

    public function __construct()
    {
        $this->connector1 = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getRadio(): ?string
    {
        return $this->radio;
    }

    public function setRadio(string $radio): static
    {
        $this->radio = $radio;

        return $this;
    }

    public function getCheckbox(): ?string
    {
        return $this->checkbox;
    }

    public function setCheckbox(string $checkbox): static
    {
        $this->checkbox = $checkbox;

        return $this;
    }

    public function getTextarea(): ?string
    {
        return $this->textarea;
    }

    public function setTextarea(string $textarea): static
    {
        $this->textarea = $textarea;

        return $this;
    }

    public function getSelectbox(): ?string
    {
        return $this->selectbox;
    }

    public function setSelectbox(string $selectbox): static
    {
        $this->selectbox = $selectbox;

        return $this;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    public function setText(string $text): static
    {
        $this->text = $text;

        return $this;
    }

    public function getNumber(): ?string
    {
        return $this->number;
    }

    public function setNumber(string $number): static
    {
        $this->number = $number;

        return $this;
    }

    /**
     * @return Collection<int, Form>
     */
    public function getConnector1(): Collection
    {
        return $this->connector1;
    }

    public function addConnector1(Form $connector1): static
    {
        if (!$this->connector1->contains($connector1)) {
            $this->connector1->add($connector1);
            $connector1->setOther($this);
        }

        return $this;
    }

    public function removeConnector1(Form $connector1): static
    {
        if ($this->connector1->removeElement($connector1)) {
            // set the owning side to null (unless already changed)
            if ($connector1->getOther() === $this) {
                $connector1->setOther(null);
            }
        }

        return $this;
    }
}
