<?php

namespace App\Form;

use App\Entity\Other;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\RadioType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

class FormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add(
                'radio', ChoiceType::class, [
                    'choices' => [
                        'Audi' => 'Audi A4',
                        'Mercedes' => 'Mercedes-Benz',],
                    'expanded' => true])

            ->add('checkbox', CheckboxType::class, [
                'label'    => '---Checkbox---',
                'invalid_message' => 'napsal si picovinu',
                'required' => false,])

           /** ->add('cech', CheckboxType::class, [
                'label' => 'jste cech?',
                'required' => true,])

            ->add('alien', RadioType::class, [
                'label' => 'Normalni clovek',
                'required' => false,])*/

            ->add('textarea')

            ->add('selectbox', ChoiceType::class, [
                'label'    => 'Audi je skvely ',
                'choices'  => [

                    'Yes' => true,
                    'No' => false,]])

            ->add('text', TextareaType::class, [
                'attr' => ['class' => 'tinymce'],
            ])
            ->add('number')


            ->add('submit', SubmitType::class)
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Other::class,
        ]);
    }
}
